/* 
    Document   : goodstyle.css
    Created on : 21-02-2010, 15:19:13
    Author     : askgreiffenberg
    Description:
        Purpose of the stylesheet follows.
*/

/* 
   TODO customize this sample style
   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
*/

root { 
    display: block;
}

html {
    font-size: 16pt;
    
}

body {
    background-color:#1e252d;
    color: #aaaaaa;
}

body, input, select, textarea {
		/*font-family: "Merriweather", Georgia, serif;*/
                                font-family: "Source Sans Pro", Helvetica, sans-serif;
		font-weight: 300;
		font-size: 1rem;
		line-height: 2.375;
	}

h1, h2, h3, h4, h5, h6 {
		font-family: "Source Sans Pro", Helvetica, sans-serif;
		font-weight: 900;
		line-height: 1.5;
		letter-spacing: 0.075em;
		text-transform: uppercase;
		margin: 0 0 1rem 0;
                
	}

		h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
			border-bottom: 0;
			color: inherit;
			text-decoration: none;
		}

	h1 {
		font-size: 4rem;
		line-height: 1.1;
		margin: 0 0 2rem 0;
                                text-align: center;
	}

	h2 {
		font-size: 1.75rem;
		line-height: 1.3;
		margin: 0 0 1.5rem 0;
                                text-align: center;
	}

	h3 {
		font-size: 1.25rem;
		margin: 0 0 1.5rem 0;
	}

	h4 {
		font-size: 1rem;
	}

	h5 {
		font-size: 0.9rem;
                                text-align: center;
                                position: relative;
	}

	h6 {
		font-size: 0.8rem;
                                text-align: center;
                                position: relative;
                                top: -50px;
                                color: #555555;
	}

        .move-up-a-bit {
            /*position: relative;*/
            /*padding-top: -30px;*/
            margin-top: -30px;
            margin-bottom: +30px;
        }
        
        .text-left {
            display: block;
            /*position: absolute;*/
            text-align: left;
            /*border-style: solid;
            border-color: #FFFFFF;
            border-width: 3px;*/
        }
        
        .txt-slim{
            height: 1.5rem;
            line-height: 1rem;
        }
        
table {
        margin: 0 0 2rem 0;
        border: solid 1px;
        border-color: #aaaaaa;
}

        table tbody tr {
                border: solid 1px;
                border-left: 0;
                border-right: 0;
                
        }

        table td {
                padding: 0.75rem 0.75rem;
        }

        table th {
                font-family: "Source Sans Pro", Helvetica, sans-serif;
                font-size: 0.8rem;
                font-weight: 900;
                letter-spacing: 0.075em;
                line-height: 1.5;
                padding: 0.9rem 0.75rem 0.75rem 0.75rem;
                text-align: left;
                text-transform: uppercase;
        }

        table thead {
                border-bottom: solid 2px;
        }

        table tfoot {
                border-top: solid 2px;
        }

        table.alt {
                border-collapse: separate;
        }

                table.alt tbody tr td {
                        border: solid 1px;
                        border-left-width: 0;
                        border-top-width: 0;
                }

                        table.alt tbody tr td:first-child {
                                border-left-width: 1px;
                        }

                table.alt tbody tr:first-child td {
                        border-top-width: 1px;
                }

                table.alt thead {
                        border-bottom: 0;
                }

                table.alt tfoot {
                        border-top: 0;
                }

table tbody tr {
        border-color: #eeeeee;
}

        table tbody tr:nth-child(2n + 1) {
                background-color: rgba(220, 220, 220, 0.25);
        }

table th {
        /*color: #212931;*/
        color: #eeeeee;
}

table thead {
        border-bottom-color: #eeeeee;
        background-color: rgba(220, 220, 220, 0.1);
}

table tfoot {
        border-top-color: #eeeeee;
}

table.alt tbody tr td {
        border-color: #eeeeee;
}

        
form {
    width: 100%;    
    display: block;
    margin: auto;
}
        
input[type="submit"],
input[type="reset"],
input[type="button"],
button,
.button {
        -moz-appearance: none;
        -webkit-appearance: none;
        -ms-appearance: none;
        appearance: none;
        -moz-transition: background-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out, color 0.2s ease-in-out;
        -webkit-transition: background-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out, color 0.2s ease-in-out;
        -ms-transition: background-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out, color 0.2s ease-in-out;
        transition: background-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out, color 0.2s ease-in-out;
        border: 0;
        cursor: pointer;
        display: inline-block;
        font-family: "Source Sans Pro", Helvetica, sans-serif;
        font-size: 0.8rem;
        font-weight: 900;
        letter-spacing: 0.075em;
        height: 3rem;
        line-height: 3rem;
        padding: 0 2rem;
        text-align: center;
        text-decoration: none;
        text-transform: uppercase;
        white-space: nowrap;
}

.btn-slim{
    height: 1rem;
    line-height: 1rem;
}

.btn-center {
    text-align: center;
}
        
input[type="submit"]:hover,
        input[type="reset"]:hover,
        input[type="button"]:hover,
        button:hover,
        .button:hover {
                box-shadow: inset 0 0 0 2px #18bfef;
                color: #18bfef !important;
        }
        
select {
  background:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='50px' height='50px'><polyline points='46.139,15.518 25.166,36.49 4.193,15.519'/></svg>");
  background-color: #aaaaaa;
  background-repeat:no-repeat;
  background-position: right 3px top 3px;
  background-size: 16px 16px;
  color:white;
  padding:1px;
  padding-left: 5px;
  width: 75px;
  height: 1rem;
  line-height: 1rem;
  font-family:arial,tahoma;
  font-size:16px;
  font-weight:bold;
  text-align:center;
  text-shadow:0 -1px 0 rgba(0, 0, 0, 0.25);
  border-radius:3px;
  -webkit-border-radius:3px;
  -webkit-appearance: none;
  border:0;
  outline:0;
  -webkit-transition:0.3s ease all;
	   -moz-transition:0.3s ease all;
	    -ms-transition:0.3s ease all;
	     -o-transition:0.3s ease all;
	        transition:0.3s ease all;
}

.user-level {
    width: 40px;
}

#blue {
  background-color:#3498DB;
}

#blue:hover {
  background-color:#2980B9;
}

#green {
  background-color:#2ECC71;
}

#green:hover {
  background-color:#27AE60;
}

#red {
  background-color:#E74C3C;
}

#red:hover {
  background-color:#C0392B;
}

select:focus, select:active {
  border:0;
  outline:0;
}
        
.center {
    display: block;
    margin: auto;
    width: 100%;
    /*padding: 10px;*/
    /*border: solid 2px;
    border-color: #aaaaaa;*/
}

.condensed {
    width: 40%;
}

#split {
    width: 100%;
    overflow: auto;
/*    padding: 5%;*/
}

#left {
    width: 45%;
    float: left;
    padding-left: 2%;
    /*position: relative;*/
}

#right {
    width: 45%;
    float:right;
    padding-right: 2%;
    /*position: relative;*/
    /*display: block;*/
}

#logoutbtn {
    height: 1rem;
    line-height: 1rem;
    /*background-color: #333333;*/
}

#top-bar {
    position: fixed;
    background-color: #eeeeeeaa;
    width: 100%;
    top: 0px;
    margin: 0px;
    padding: 0px;
    z-index: 10;
}

#loading {
    color: #FFFFFF;

}

.sk-folding-cube {
  margin: 20px auto;
  width: 40px;
  height: 40px;
  position: relative;
  -webkit-transform: rotateZ(45deg);
          transform: rotateZ(45deg);
}

.sk-folding-cube .sk-cube {
  float: left;
  width: 50%;
  height: 50%;
  position: relative;
  -webkit-transform: scale(1.1);
      -ms-transform: scale(1.1);
          transform: scale(1.1); 
}
.sk-folding-cube .sk-cube:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #333;
  -webkit-animation: sk-foldCubeAngle 2.4s infinite linear both;
          animation: sk-foldCubeAngle 2.4s infinite linear both;
  -webkit-transform-origin: 100% 100%;
      -ms-transform-origin: 100% 100%;
          transform-origin: 100% 100%;
}
.sk-folding-cube .sk-cube2 {
  -webkit-transform: scale(1.1) rotateZ(90deg);
          transform: scale(1.1) rotateZ(90deg);
}
.sk-folding-cube .sk-cube3 {
  -webkit-transform: scale(1.1) rotateZ(180deg);
          transform: scale(1.1) rotateZ(180deg);
}
.sk-folding-cube .sk-cube4 {
  -webkit-transform: scale(1.1) rotateZ(270deg);
          transform: scale(1.1) rotateZ(270deg);
}
.sk-folding-cube .sk-cube2:before {
  -webkit-animation-delay: 0.3s;
          animation-delay: 0.3s;
}
.sk-folding-cube .sk-cube3:before {
  -webkit-animation-delay: 0.6s;
          animation-delay: 0.6s; 
}
.sk-folding-cube .sk-cube4:before {
  -webkit-animation-delay: 0.9s;
          animation-delay: 0.9s;
}
@-webkit-keyframes sk-foldCubeAngle {
  0%, 10% {
    -webkit-transform: perspective(140px) rotateX(-180deg);
            transform: perspective(140px) rotateX(-180deg);
    opacity: 0; 
  } 25%, 75% {
    -webkit-transform: perspective(140px) rotateX(0deg);
            transform: perspective(140px) rotateX(0deg);
    opacity: 1; 
  } 90%, 100% {
    -webkit-transform: perspective(140px) rotateY(180deg);
            transform: perspective(140px) rotateY(180deg);
    opacity: 0; 
  } 
}

@keyframes sk-foldCubeAngle {
  0%, 10% {
    -webkit-transform: perspective(140px) rotateX(-180deg);
            transform: perspective(140px) rotateX(-180deg);
    opacity: 0; 
  } 25%, 75% {
    -webkit-transform: perspective(140px) rotateX(0deg);
            transform: perspective(140px) rotateX(0deg);
    opacity: 1; 
  } 90%, 100% {
    -webkit-transform: perspective(140px) rotateY(180deg);
            transform: perspective(140px) rotateY(180deg);
    opacity: 0; 
  }
}

#session-error {
    transition: all .2s ease-out;
    color: red;
}

.hidden {
    display:none;
}